## AsRelease AsRelease — Object representing a single upstream release |

## Stability Level

Stable, unless otherwise indicated

## Functions

AsRelease * | as_release_new ()
const gchar * | as_release_get_version ()
guint64 | as_release_get_timestamp ()
const gchar * | as_release_get_description ()
void | as_release_set_version ()
void | as_release_set_timestamp ()
void | as_release_set_description ()

## Object Hierarchy

        GObject
        ╰── AsRelease

## Includes

    #include <appstream-glib.h>

## Description

This object represents a single upstream release, typically a minor update. Releases can contain a localized description of paragraph and list elements and also have a version number and timestamp.

Releases can be automatically generated by parsing upstream ChangeLogs or .spec files, or can be populated using AppData files.

See also: AsApp

## Functions

### as_release_new ()

    AsRelease *
    as_release_new (void);

Creates a new AsRelease.

#### Returns

a AsRelease.

[transfer full]

Since 0.1.0

### as_release_get_version ()

    const gchar *
    as_release_get_version (AsRelease *release);

Gets the release version.

#### Parameters

release | a AsRelease instance. |

#### Returns

string, or `NULL` for not set or invalid

Since 0.1.0

### as_release_get_timestamp ()

    guint64
    as_release_get_timestamp (AsRelease *release);

Gets the release timestamp.

#### Parameters

release | a AsRelease instance. |

#### Returns

timestamp, or 0 for unset

Since 0.1.0

### as_release_get_description ()

    const gchar *
    as_release_get_description (AsRelease *release,
                                const gchar *locale);

Gets the release description markup for a given locale.

#### Parameters

release | a AsRelease instance. |
locale | the locale, or `NULL`. e.g. "en_GB" |

#### Returns

markup, or `NULL` for not set or invalid

Since 0.1.0

### as_release_set_version ()

    void
    as_release_set_version (AsRelease *release,
                            const gchar *version,
                            gssize version_len);

Sets the release version.

#### Parameters

release | a AsRelease instance. |
version | the version string. |
version_len | the size of `version` , or -1 if `NULL`-terminated. |

Since 0.1.0

### as_release_set_timestamp ()

    void
    as_release_set_timestamp (AsRelease *release,
                              guint64 timestamp);

Sets the release timestamp.

#### Parameters

release | a AsRelease instance. |
timestamp | the timestamp value. |

Since 0.1.0

### as_release_set_description ()

    void
    as_release_set_description (AsRelease *release,
                                const gchar *locale,
                                const gchar *description,
                                gssize description_len);

Sets the description release markup.

#### Parameters

release | a AsRelease instance. |
locale | the locale, or `NULL`. e.g. "en_GB" |
description | the description markup. |
description_len | the size of `description` , or -1 if `NULL`-terminated. |

Since 0.1.0

## Types and Values